Loading...
Searching...
No Matches
sdp_media_s Struct Reference

Media announcement. More...

`#include <sdp.h>`

Collaboration diagram for sdp_media_s:
[legend]

## Data Fields

int | m_size
| sizeof sdp_media_t
sdp_media_t * | m_next
| Next media announcement.
sdp_session_t * | m_session
| Back-pointer to session level.
sdp_media_e | m_type
| Media type.
sdp_text_t * | m_type_name
| Media type name.
unsigned long | m_port
| Transport port number.
unsigned long | m_number_of_ports
| Number of ports (if multiple).
sdp_proto_e | m_proto
| Transport protocol.
sdp_text_t * | m_proto_name
| Transport protocol name.
sdp_list_t * | m_format
| List of media formats.
sdp_rtpmap_t * | m_rtpmaps
| List of RTP maps.
sdp_text_t * | m_information
| Media information.
sdp_connection_t * | m_connections
| List of addresses used.
sdp_bandwidth_t * | m_bandwidths
| Bandwidth specification.
sdp_key_t * | m_key
| Media key.
sdp_attribute_t * | m_attributes
| Media attributes.
void * | m_user
| User data.
unsigned | m_rejected: 1
| Rejected media.
unsigned | m_mode: 2
| Inactive, recvonly, sendonly, sendrecv.

## Detailed Description

Media announcement.

This structure describes one media type, e.g., audio. The description contains the transport address (IP address and port) used for the group, the transport protocol used, the media formats or RTP payload types, and optionally media-specific bandwidth specification, encryption key and attributes.

There is a pointer (m_user) for the application data, too.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.